### Property

# Gio TcpConnection:graceful-disconnect

since: 2.22

#### Declaration

    property graceful-disconnect: gboolean [ read, write ]

#### Description [src]

Whether `g_io_stream_close()` does a graceful disconnect.

Type: | `gboolean`
Available since: | 2.22

Setter method | `g_tcp_connection_set_graceful_disconnect()`
Getter method | `g_tcp_connection_get_graceful_disconnect()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no